com.taosdata.jdbc.ws.tmq.meta

## Class Tag

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.meta.Tag

    public class Tag
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Tag()`
`Tag(String name, int type, com.fasterxml.jackson.databind.JsonNode value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getName()`
`int` `getType()`
`com.fasterxml.jackson.databind.JsonNode` `getValue()`
`int` `hashCode()`
`void` `setName(String name)`
`void` `setType(int type)`
`void` `setValue(com.fasterxml.jackson.databind.JsonNode value)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tag

    public Tag()

#### Tag

    public Tag(String name,
               int type,
               com.fasterxml.jackson.databind.JsonNode value)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getType

    public int getType()

#### setType

    public void setType(int type)

#### getValue

    public com.fasterxml.jackson.databind.JsonNode getValue()

#### setValue

    public void setValue(com.fasterxml.jackson.databind.JsonNode value)

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`